Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members Related Pages

# aka2::deserializer Class Reference

XML deserializer interface. More...

`#include <deserializer.h>`

Inheritance diagram for aka2::deserializer:

[legend]
Collaboration diagram for aka2::deserializer:

[legend]
List of all members.

## Public Methods
virtual document | deserialize (std::istream &istm)=0
virtual document | deserialize (const char *doc)=0
virtual document | deserialize (const std::string &doc)=0
virtual document | deserialize_stdin ()=0
virtual document | deserialize_file (const std::string &filename)=0

## Detailed Description

XML deserializer interface.

Definition at line 19 of file deserializer.h.

## Member Function Documentation

virtual document aka2::deserializer::deserialize | ( | const std::string & | doc | ) | `[pure virtual]`

  | Deserialize XML document. Parameters:
  doc | input source as string
  Returns: parsed document Exceptions:
  aka2::error | any deserialization exception
Implemented in aka2::xerces_deserializer, and aka2::expat_deserializer.

virtual document aka2::deserializer::deserialize | ( | const char * | doc | ) | `[pure virtual]`

  | Deserialize XML document. Parameters:
  doc | input source
Returns: parsed document Implemented in aka2::xerces_deserializer, and aka2::expat_deserializer.

virtual document aka2::deserializer::deserialize | ( | std::istream & | istm | ) | `[pure virtual]`

  | Deserialize XML document. Parameters:
  istm | input source
  Returns: parsed document Exceptions:
  aka2::error | any deserialization exception
Implemented in aka2::xerces_deserializer, and aka2::expat_deserializer.

virtual document aka2::deserializer::deserialize_file | ( | const std::string & | filename | ) | `[pure virtual]`

  | Deserialize XML document. Parameters:
  filename | file path of input XML document.
  Returns: parsed document. Exceptions:
  aka2::error | any deserialization exception.
Implemented in aka2::xerces_deserializer, and aka2::expat_deserializer.

virtual document aka2::deserializer::deserialize_stdin | ( |  | ) | `[pure virtual]`

  | Deserialize XML document from stdin. Returns: parsed document. Exceptions:
  aka2::error | any deserialization exception.
Implemented in aka2::xerces_deserializer, and aka2::expat_deserializer.

The documentation for this class was generated from the following file:

- deserializer.h